com.independentsoft.exchange

## Class CopiedEvent

- java.lang.Object
- - com.independentsoft.exchange.Event
  - - com.independentsoft.exchange.CopiedEvent

-     public class CopiedEvent
      extends Event

  Represents an event in which an item or folder is copied.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CopiedEvent()` Initializes a new instance of the CopiedEvent class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Id` | `getId()` Gets the identifier of the item or folder.
    `Id` | `getOldId()` Gets the unique identifier of the original item or folder before it was copied.
    `FolderId` | `getOldParentFolderId()` Gets the identifier of the original parent folder of an item or folder that was copied.
    `FolderId` | `getParentFolderId()` Gets the identifier of the folder that contains the copy.
    `java.util.Date` | `getTimeStamp()` Gets the timestamp of a copy item/folder mailbox event.

    - ### Methods inherited from class com.independentsoft.exchange.Event

      `getWatermark`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CopiedEvent

          public CopiedEvent()

      Initializes a new instance of the CopiedEvent class.

  - ### Method Detail

    - #### getTimeStamp

          public java.util.Date getTimeStamp()

      Gets the timestamp of a copy item/folder mailbox event.
      Returns:
        the time stamp

    - #### getId

          public Id getId()

      Gets the identifier of the item or folder.
      Returns:
        the id

    - #### getParentFolderId

          public FolderId getParentFolderId()

      Gets the identifier of the folder that contains the copy.
      Returns:
        the parent folder id

    - #### getOldId

          public Id getOldId()

      Gets the unique identifier of the original item or folder before it was copied.
      Returns:
        the old id

    - #### getOldParentFolderId

          public FolderId getOldParentFolderId()

      Gets the identifier of the original parent folder of an item or folder that was copied.
      Returns:
        the old parent folder id